Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.TabCloseKind

java.lang.Object
java.lang.Enum<SubstanceConstants.TabCloseKind>
org.pushingpixels.substance.api.SubstanceConstants.TabCloseKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.TabCloseKind>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.TabCloseKind extends Enum<SubstanceConstants.TabCloseKind>
Enumerates possible modes of closing tabs.

See Also:
  - `SubstanceLookAndFeel.TABBED_PANE_CLOSE_CALLBACK`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
Indicates that all tabs should be closed.
`ALL_BUT_THIS`
Indicates that all tabs except the specified should be closed.
`NONE`
Indicates that no tabs should be closed.
`THIS`
Indicates that the specified tab should be closed.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.TabCloseKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.TabCloseKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final SubstanceConstants.TabCloseKind NONE
Indicates that no tabs should be closed.

### THIS

public static final SubstanceConstants.TabCloseKind THIS
Indicates that the specified tab should be closed.

### ALL

public static final SubstanceConstants.TabCloseKind ALL
Indicates that all tabs should be closed.

### ALL_BUT_THIS

public static final SubstanceConstants.TabCloseKind ALL_BUT_THIS
Indicates that all tabs except the specified should be closed.

## Method Details

### values

public static SubstanceConstants.TabCloseKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.TabCloseKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null